# Dry::Container::Nested


* [Sources](https://github.com/alsemyonov/dry-container-nested)
* [Documentation](http://rubydoc.info/gems/dry-container-nested)
* [Issue Tracker](https://github.com/alsemyonov/dry-container-nested/issues)
* [Wiki](https://github.com/alsemyonov/dry-container-nested/wiki)
* [![Code Climate](https://codeclimate.com/github/alsemyonov/dry-container-nested/badges/gpa.svg)](https://codeclimate.com/github/alsemyonov/dry-container-nested)
* [![Test Coverage](https://codeclimate.com/github/alsemyonov/dry-container-nested/badges/coverage.svg)](https://codeclimate.com/github/alsemyonov/dry-container-nested/coverage)
* [![Build Status](https://travis-ci.org/alsemyonov/dry-container-nested.png?branch=master)](http://travis-ci.org/alsemyonov/dry-container-nested)
* [![Dependency Status](https://gemnasium.com/alsemyonov/dry-container-nested.png)](https://gemnasium.com/alsemyonov/dry-container-nested)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'dry-container-nested'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install dry-container-nested

## Usage

```ruby
module Example
  extend Dry::Container::Mixin
  
  register :key, Object.new
  register :callable, proc { 1 }, call: false
  module Nested
    extend Dry::Container::Nested
    register :another, :value
  end
  self[:callable].call #=> 1
  self['nested.another'].call #=> :value
end

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/dry-container-nested. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

