# coding: utf-8
# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dry/container/nested/version'

Gem::Specification.new do |spec|
  spec.name = 'dry-container-nested'
  spec.version = Dry::Container::Nested::VERSION
  spec.authors = ['Alex Semyonov']
  spec.email = ['alex@semyonov.us']

  spec.summary = 'Nested containers DSL'
  spec.description = 'Nested containers using Dry::Container and Ruby'
  spec.homepage = 'http://alsemyonov.github.com/'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'dry-container', '~> 0.6.0'
  spec.add_runtime_dependency 'inflecto'

  spec.add_development_dependency 'yard', '~> 0.9.5'
  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'bundler-audit', '~> 0.5.0'
  spec.add_development_dependency 'rake', '~> 12.0.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec-its', '~> 1.2.0'
  spec.add_development_dependency 'simplecov', '~> 0.14.0'
  spec.add_development_dependency 'simplecov-html', '~> 0.10.0'
  spec.add_development_dependency 'codeclimate-test-reporter', '~> 0.6.0'
  spec.add_development_dependency 'rubocop', '~> 0.47.1'
  spec.add_development_dependency 'redcarpet', '~> 3.4.0'
end
